Bug 124139 - usb-storage does not scan for partitions
usb-storage does not scan for partitions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-24 09:32 EDT by Atul Chitnis
Modified: 2015-01-04 17:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:29:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atul Chitnis 2004-05-24 09:32:09 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
Default kernel shipped with Fedora Core 2 cannot read USB-based flash
card readers that the same machine could read under Fedora Core 1.

Plugging in a card reader causes the correct modules to be loaded and
the scsi system to be initialised, but no scan takes place for
partitions. Therefore, it is not possible to mount the device.


Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358

How reproducible:
Always

Steps to Reproduce:
1.Plug in card reader


Actual Results:  Reader gets detected, but no partition scan takes place.


Expected Results:  Partition scan should take place, enabling us to
mount /dev/sda1 or similar device.


Additional info:

Here is what /var/log/messages says:

May 24 18:57:21 wookie kernel: usb 2-2: new full speed USB device
using address 22
May 24 18:57:21 wookie kernel: scsi1 : SCSI emulation for USB Mass
Storage devices
May 24 18:57:21 wookie kernel:   Vendor: SanDisk   Model: Cruzer     
      Rev: 2.00
May 24 18:57:21 wookie kernel:   Type:   Direct-Access               
      ANSI SCSI revision: 02
May 24 18:57:21 wookie kernel: Attached scsi removable disk sda at
scsi1, channel 0, id 0, lun 0
May 24 18:57:22 wookie scsi.agent[11445]: disk at
/devices/pci0000:00/0000:00:1d.1/usb2/2-2/2-2:1.0/host1/1:0:0:0

Here is what dmesg says

SCSI subsystem initialized
usb 2-2: new full speed USB device using address 21
Initializing USB Mass Storage driver...
scsi1 : SCSI emulation for USB Mass Storage devices
  Vendor: SanDisk   Model: Cruzer            Rev: 2.00
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sda at scsi1, channel 0, id 0, lun 0
USB Mass Storage device found at 22
Comment 1 VaibhaV Sharma 2004-05-24 09:42:02 EDT
Same here. The card reader is recognised and modules loaded, but then
cant mount any cards through it.

---------------------
May 24 09:00:27 poo kernel: usb 1-4: new high speed USB device using
address 2
May 24 09:00:28 poo kernel: Initializing USB Mass Storage driver...
May 24 09:00:28 poo kernel: scsi0 : SCSI emulation for USB Mass
Storage devices
May 24 09:00:28 poo kernel:   Vendor: SanDisk   Model: ImageMate 6 in
1  Rev: 0.0>
May 24 09:00:28 poo kernel:   Type:   Direct-Access                  
   ANSI SCSI revision: 02
May 24 09:00:28 poo kernel: usbcore: registered new driver usb-storage
May 24 09:00:28 poo kernel: USB Mass Storage support registered.
May 24 09:00:28 poo scsi.agent[3025]: disk at
/devices/pci0000:00/0000:00:1d.7/usb1/1-4/1-4:1.0/host0/0:0:0:0
May 24 09:00:28 poo kernel: Attached scsi removable disk sda at scsi0,
channel 0, id 0, lun 0
May 24 09:00:28 poo kernel: Device not ready.  Make sure there is a
disc in the drive.
May 24 09:00:29 poo kernel: Device not ready.  Make sure there is a
disc in the drive.
---------------------

[root@poo mnt]# mount /dev/sda1 temp
mount: No medium found
[root@poo mnt]#
Comment 2 Dave Jones 2004-05-26 09:46:34 EDT
does it work if you put

options scsi_mod max_luns=5

(assuming its 1 5-in-1 reader, adjust accordingly)

in your /etc/modprobe.conf ?
Comment 3 Dave Jones 2004-05-26 10:02:29 EDT
hmm, actually this probably won't do anything (I've got multi-lun
devices on the brain at the moment).
Comment 4 Atul Chitnis 2004-05-26 11:57:00 EDT
I have scsi_mod max_luns=7 in my modprobe.conf, and also tried it the
old (traditional) way via the kernel boot line in grub.conf.

This is *not* the multi-lun issue, since I have this happening for
single-lun and multi-lun units. It correctly recognises the device,
loads the correct modules, just doesn't scan for partitions.

There is some code here:

http://marc.theaimsgroup.com/?l=linux-usb-devel&m=108255937502488&q=raw

that apparently fixes it, but I don't see any bugzilla report, and IAC
my poor notebook is stressed for space, so can't patch and compile to
see if it does the job. The author of the patch says he has informed
the code maintainer, but I suspect that doesn't mean you guys.
Comment 5 Dave Jones 2004-05-26 13:18:52 EDT
that patch is already included in the (work in progress) update kernel
that you can get from http://people.redhat.com/arjanv/2.6/RPMS.kernel
Comment 6 fv3358 2004-06-12 03:43:02 EDT
I tried with the kernel-2.6.6-1.427 kernel from Fedora downloads site,
and the problem persists
Comment 7 Barry K. Nathan 2004-07-14 07:03:37 EDT
Try installing the latest Fedora Core 2 update kernel                
          
(2.6.6-1.435.2.3) and see if you still have the problem. If            
so, you may want to try a test kernel from one of these sources:     
          
                                                                     
          
+ rawhide (a.k.a. FC-devel)                                          
          
+ FC 3 test 1                                                        
          
+ http://people.redhat.com/arjanv/2.6/
Comment 8 fv3358 2004-07-16 12:06:04 EDT
!! It's right!!
With the kernel from http://people.redhat.com/arjanv/2.6, my usb flash
stick works fine, and too more: This kernel is built in another fashion.

With the FC2 kernels, my  CMD/Sil 3112/3112A (SiI3112 Serial ATA: IDE
controller at PCI slot 0000:01:0b.0) serial ata controler with only 1
disk, was taking a lot of time to initialize on boot, because trying
several times for the second (unexistent) sata disk, each time with a
timeout. Then, the first sata disk was /dev/hde, and the second /dev/hdg.

Now, with this kernel, the module initializes immediate, without any
delay. Then, the first sata disk is /dev/sda, and the usb flash stick
is /dev/sdb.

You're done!!
Comment 9 Claus Agerskov 2004-10-18 04:38:52 EDT
The problem stills persist using kernel 2.6.8-1.521. 
 
The usbmassstorage I am trying to use is SanDisk ImageMate 6-in-1 
SDDR-86. 
Comment 10 Mike Sowka 2004-12-27 18:47:57 EST
Yes, this is EXACTLY (#9) the case on my system... I cannot use my SanDisk
ImageMate 6 in 1.

I have a update testing kernel: 2.6.9-1.715_FC3smp

The patch metnioned in this bug is in the source tree.

So, what IS the deal?

Mike
Comment 11 Gleb Sturov 2005-02-04 19:45:48 EST
Upgraded to 2.6.10-1.760.
Still same problem.
:-(

Gleb
Comment 12 Mike Sowka 2005-02-04 23:09:08 EST
Nope, not here...

I was pleasantly surprise that as of 760 I no longer have to compile
my own kernel. My ImageMage now works.

Thanks
Comment 13 Dave Jones 2005-04-16 00:29:07 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.